阿里云万网虚拟主机安装wordpress报错500 Internal Server Error

来源:本站原创 网络 超过围观 0条评论

问题发生在我帮别人远程安wordpress的时候。

通常是输入数据库相关信息后,点下一步,就报一片英语错误,最显眼的是: Internal Server Error ,以及让你联系管理员之类的(我就是管理员,靠!)

最先想到的更改文件属性,把文件属性都修改为755,但是还是不成功。

后面为了解决这个问题,我用过 https://www.aliyun.com/zixun/content/3_12_194015.html 里说的办法(也是别人转到阿里云上的),好不容易找到。解决办法简单的说是改WP的文件:wp-includes/class-http.php。

改了后,可以安装了,结果又有问题:无法在线安装WP插件。进入安装插件页面,本来会显示WP插件推荐,但实际上却报:发生意外错误,可能是wordpress.org。。。

今天我终于把这个错误与前面改掉的文件联系起来了,于是我改回原样传上去,好吧,又报Internal Server Error了,网站直接进不去了。

气得我马上填了个阿里云的工单,因为这是我第2次重装WP了,还是故意找的较低的版本。

刚发去就有人回了,让我 在空间管理后台切换php版本至5.3以上(这个才是重点,最后改了这里才解决的) 。

就此问题解决。也不报错了,插件也能正常安了。

虽然对阿里云处理工单的速度挺满意,但还是很好奇为啥aliyun默认的PHP版本不能适配wordpress较新的版本(最新都4.4了,我用4.0安也安不起)

版权信息:原创文章:万维网
本文链接:http://www.wan-wei.net/?p=133转载请注明转自万维网
如果喜欢:点此订阅本站
下篇文章:木有了,已经是最新文章

13106025453
咨询客服